Skip to main content
GET
/
v2
/
verification
/
tax-payer
/
tan
Tan Verification V2
curl --request GET \
  --url https://production.deepvue.tech/v2/verification/tax-payer/tan \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>'
{
  "code": 200,
  "timestamp": 1757624316703,
  "transaction_id": "1a6c26e5eba24c9ba78e48d63c292044",
  "sub_code": "SUCCESS",
  "message": "Tan Verified Successfully.",
  "data": {
    "full_name": "AMAZON SELLER SERVICES PRIVATE LIMITED",
    "first_name": null,
    "middle_name": null,
    "last_name": null,
    "tan_allotment_date": "2010-12-30",
    "address": {
      "line_1": "26/1 8TH FLOOR",
      "line_2": "BRIGADE GATEWAY",
      "line_3": "DR.RAJKUMAR ROAD",
      "line_4": null,
      "line_5": "BANGALORE",
      "state_code": 15,
      "zip": "560055",
      "full": "26/1 8TH FLOOR BRIGADE GATEWAY DR.RAJKUMAR ROAD None BANGALORE 560055"
    },
    "email_1": "RISHABVI@AMAZON.COM",
    "email_2": null,
    "phone_number": "9099980399"
  }
}

Authorizations

Authorization
string
header
required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

x-api-key
string
header
required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Query Parameters

tan_number
string
required

The TAN (Taxpayer Authentication Number) to be verified. Should be included in the query parameters.

Response

Successful Response